Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
pipelines
/
{pipelineId}
Update pipeline
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/{pipelineId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "steps": [
    {
      "name": "<string>",
      "filter": "<string>",
      "pathFilters": [
        {
          "dataset": "<string>",
          "filter": "<string>"
        }
      ],
      "projectId": 123,
      "newProjectName": "<string>",
      "projectApiKey": "<string>",
      "projectHmacKey": "<string>",
      "transformationBlockId": 123,
      "builtinTransformationBlock": {},
      "outputDatasetName": "<string>",
      "outputDatasetBucketId": 123,
      "outputDatasetBucketPath": "<string>",
      "outputPathInDataset": "<string>",
      "label": "<string>",
      "transformationParallel": 123,
      "extraCliArguments": "<string>",
      "parameters": {}
    }
  ],
  "emailRecipientUids": [
    123
  ],
  "intervalStr": "<string>",
  "dataset": "<string>",
  "projectId": 123,
  "notificationWebhook": "<string>",
  "archived": true
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/{pipelineId}"

payload = {
"name": "<string>",
"description": "<string>",
"steps": [
{
"name": "<string>",
"filter": "<string>",
"pathFilters": [
{
"dataset": "<string>",
"filter": "<string>"
}
],
"projectId": 123,
"newProjectName": "<string>",
"projectApiKey": "<string>",
"projectHmacKey": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"outputPathInDataset": "<string>",
"label": "<string>",
"transformationParallel": 123,
"extraCliArguments": "<string>",
"parameters": {}
}
],
"emailRecipientUids": [123],
"intervalStr": "<string>",
"dataset": "<string>",
"projectId": 123,
"notificationWebhook": "<string>",
"archived": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
steps: [
{
name: '<string>',
filter: '<string>',
pathFilters: [{dataset: '<string>', filter: '<string>'}],
projectId: 123,
newProjectName: '<string>',
projectApiKey: '<string>',
projectHmacKey: '<string>',
transformationBlockId: 123,
builtinTransformationBlock: {},
outputDatasetName: '<string>',
outputDatasetBucketId: 123,
outputDatasetBucketPath: '<string>',
outputPathInDataset: '<string>',
label: '<string>',
transformationParallel: 123,
extraCliArguments: '<string>',
parameters: {}
}
],
emailRecipientUids: [123],
intervalStr: '<string>',
dataset: '<string>',
projectId: 123,
notificationWebhook: '<string>',
archived: true
})
};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

pipelineId
integer
required

Pipeline ID

Body

application/json
name
string
required
description
string
required
steps
object[]
required
emailRecipientUids
integer[]
required
whenToEmail
enum<string>
required
Available options:
always,
on_new_data,
never
intervalStr
string

15m for every 15 minutes, 2h for every 2 hours, 1d for every 1 day

dataset
string
projectId
integer
notificationWebhook
string
archived
boolean

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)